Loading...
Searching...
No Matches
SSH transport socket
Transport sockets

## Data Structures

struct | tr_ssh_config

## Functions

int | tr_ssh_init (const struct tr_ssh_config *config, struct tr_socket *socket)

## Detailed Description

This transport implementation uses libssh (http://www.libssh.org/) for all ssh specific operations.
See transport interface for a list of supported operations.

## Function Documentation

## tr_ssh_init()

int tr_ssh_init | ( | const struct tr_ssh_config * | config,
|  | struct tr_socket * | socket )

Initializes the tr_socket struct for a SSH connection.

Parameters

  [in] | config | SSH configuration for the connection.
  [out] | socket | Initialized transport socket.

Returns
  TR_SUCCESS On success.
  TR_ERROR On error.

Examples
  rtr_mgr.c, and ssh_tr.c.